Print a warning if runner is incompatible with KRunner

Authored by davidre on Apr 6 2020, 2:28 PM.

Description

Print a warning if runner is incompatible with KRunner

Summary:
Useful for finding out why runner isn't loaded even though it's enabled in
settings. Can for example happen if a runner is installed by an application
that's compiled against a newer KRunner version than Plasma.

Test Plan: Try to load an incompatible runner plugin

Reviewers: broulik

Reviewed By: broulik

Subscribers: kde-frameworks-devel

Tags: Frameworks

Differential Revision: https://phabricator.kde.org/D28624

Details

Committed
davidreWed, Apr 29, 7:31 AM
Reviewer
broulik
Differential Revision
D28624: Print a warning if runner is incompatible with KRunner
Parents
R308:b503fc4578b8: KRunner: Improve code snippet
Branches
Unknown
Tags
Unknown